function process_combat_event(ev)

	spellattack(ev.source);

	case (ev.type)
		EVID_DAMAGED:
			if ( GetVital (me, "Life") < CINT (GetVitalMaximumValue (me, "Life")/2))
				CastSpell(me,me,":misc_spells:gheal");
				if( me.poisoned )
					CastSpell(me,me,":poison_spells:cure");
				endif
			endif
                        if (GetVital (me, "Life") < CINT (GetVitalMaximumValue (me, "Life")/10))
				EraseObjProperty(me,"#flees");
                                flee(ev.source);
                        endif
	endcase

endfunction

function spellattack(opponent)

	if (!GetObjProperty(me,"#lastbreath"))
		SetObjProperty(me,"#lastbreath",ReadGameClock() + 5);
	endif

	if (GetObjProperty(me,"#lastbreath") > ReadGameClock() )
		return;
	endif

	if (RandomInt(2)==1)
		sleep(1);
		cast_offensive_spell(me,opponent);
	endif

	SetObjProperty(me,"#lastbreath",ReadGameClock() + 5);

	foreach myfriend in listmobilesnearlocation(me.x, me.y, me.z, HALT_THRESHOLD)
		if (myfriend.npctemplate and !myfriend.script["tamed"] )
			healerstuff(myfriend);
		endif
	endforeach

endfunction

function in_combat_event_loop(opponent, loops)

	spellattack(opponent);

endfunction       

function prepare_for_fight(opponent)

	if (GetObjProperty(me, "mr") != "1")
		CastSpell(me,me,":misc_spells:reflect");
	endif

	DisableMainEvents();
	EnableCombatEvents();

endfunction

function post_combat()

	DisableCombatEvents();
	EnableMainEvents();

	SetWarMode( 0 );
	SetOpponent( 0 );

	num_casts := 2;

	sleep(1);
	look_around();

endfunction


function HealerStuff(mobile)

if (!mobile.npctemplate or mobile.npctemplate["guard"] or mobile.script == "tamed")
        return;
endif
   
	if( (mobile.poisoned) and (CheckLineOfSight(me,mobile)) )
		TurnToward(mobile);
		CastSpell(me,mobile,":poison_spells:cure");
	elseif( (mobile.hp < (mobile.maxhp/2)) and (CheckLineOfSight(me,mobile))  )
		TurnToward(mobile);
		CastSpell(me,mobile,":misc_spells:gheal");
	endif
    
endfunction
