function process_combat_event(ev)

	spellattack(ev.source);

	case (ev.type)
        	EVID_DAMAGED:
			if ( GetVital (me, "Life")  < (GetVitalMaximumValue (me, "Life") /2))
				CastSpell(me,me,":misc_spells:gheal");
				if( me.poisoned )
					CastSpell(me,me,":poison_spells:cure");
					CastSpell(me,ev.source,":poison_spells:poison");
				endif
			endif
                        if ((GetVital (me, "Life") * 100/GetVitalMaximumValue (me, "Life")) < 10)
				EraseObjProperty(me,"#flees");
                                flee(ev.source);
                        endif
			break;
        	default: break;
	endcase

endfunction

function spellattack(opponent)

	if (!GetObjProperty(me,"#lastspell"))
		SetObjProperty(me,"#lastspell",ReadGameClock() + 2);
	endif

	if (GetObjProperty(me,"#lastspell") > ReadGameClock() )
		return;
	endif

	if (RandomInt(3) != 1)
		sleep(1);
		cast_offensive_spell(me,opponent);
		SetObjProperty(me,"#lastspell",ReadGameClock() + 4);
	endif

endfunction

function in_combat_event_loop(opponent, loops)

	spellattack(opponent);

endfunction

function prepare_for_fight(opponent)

	if (!cint(GetObjProperty(me, "mr")))
		CastSpell(me,me,":misc_spells:reflect");
	endif

	DisableMainEvents();
	EnableCombatEvents();

endfunction

function post_combat()

	if ( GetVital (me, "Life") < (GetVitalMaximumValue (me, "Life")/2))
		CastSpell(me,me,":misc_spells:gheal");
	endif

	DisableCombatEvents();
	EnableMainEvents();

	SetWarMode( 0 );
	SetOpponent( 0 );

	summons := 1;

	sleep(1);
	look_around();
  
endfunction
