// This function is designed to speed up speech processing of subordinates.
// It changes the command from "all heal" to "name heal", so you only have
// to process the "name heal" case.  all is set to 1 if it was an all command
// so you can process it.

// call it like:

// if (!apspeechproc(evtext, mename))
//	return;
// endif

function apspeechproc(byref line, name)
	// change "all" to me, but note if it was an "all" command.
	if (line["all"])
		line["all"] := name;
	endif
	
	// if I see me (or all changed to me), I process the command.
	if (line[name])
		return 1;
	endif
	
	return 0;
endfunction