function perk_adrenaline(me,debug := 0)
	var power := PerkPower(PERKID_ADRENALINE,me);
	if ( ( power ) )
		var adrenrunning := getOPI(me,"#adren_running",0);
		
		if (!adrenrunning)		
			var life := GetVital (me, "Life"); 
			var maxlife := GetVitalMaximumValue (me, "Life");		
			
			if ((life * 3) < maxlife)
				var p;
				var adren;
		
				set_critical(1);
				adren := GetOPI (me,"p_adren",0);
				p := cint(adren / 4);
				adren := adren - p;
				setobjproperty(me,"p_adren",adren);
				set_critical(0);		

//				if (debug)
//					printtextabove(me,"*" + adren + "*");
//				endif
		
				var rate := adrenrate(p);
		
				var m := "Adrenaline";
				for i:= 1 to rate
					m := m + "!";
				endfor
			
				var duration := power/4;
		
				PrintTextAbove( me, "*" + m + "*" );
			
				if (debug)
					printtextabove(me,"(" + duration + "," + rate + ")");
				endif
			
				start_script (":perks:scripts/adren",{me,duration,rate});
		
				return 1;
			endif
		endif
	endif
		
	return 0;
	
endfunction

function adrenrate(p)
	var rate := 1;
	
	p := cdbl(p);
	
	while (p>2)
		p:=p/2;
		rate := rate + 1;
	endwhile
	
	return rate;
endfunction