function perk_skulk(me,debug := 0)
	var power := PerkPower(PERKID_SKULK,me);
	
	if (debug)
		sendsysmessage(debug,"start skulk");
	endif
	
	//only one copy of this perk must be running at once
	var running := GetObjProperty(me,"#skulk");
	if (running)
		if (debug)
			sendsysmessage(debug,"end skulk");
		endif
		
		EraseObjProperty(me,"#skulk");
		return;
	else
		SetObjProperty(me,"#skulk",1);
	endif

	if ( power )
	
	        var stealthskill := GetAttribute (me, ATTRIBUTEID_STEALTH);
	        var hideskill := GetAttribute (me, ATTRIBUTEID_HIDING);
	        var minsteps,maxsteps;
	        
	        if (CheckIfSpecialized (me, SKILLID_HIDING))
	                maxsteps := CINT (hideskill / 5) + 1;
	        else
	                maxsteps := CINT (hideskill / 10) + 1;
	        endif
	        
	        if (CheckIfSpecialized (me, SKILLID_STEALTH))
	                minsteps := CINT (stealthskill / 10) + 1;
	        else
	                minsteps := CINT (stealthskill / 20) + 1;
	        endif
	        
        	var steps;

		while (me and me.hidden)
	                steps := random(maxsteps);
	                if (steps < minsteps)
	                        steps := minsteps;
	                endif
                
	                // if you're standing next to something that blocks line of sight
	                // you can sneak better!
	                for i:=-1 to 1
	                        for j:=-1 to 1
	                                if (!(CheckLosAt( me, me.x+(i*2), me.y+(j*2), me.z )))
	                                        steps:=steps+2;
	                                endif
	                        endfor
	                endfor
                
	                if (!(GetObjProperty (me, "stealthing")))               
	                        SetObjProperty (me, "stealthing", 1);
	                endif

	                if (me.stealthsteps < steps)
	                        me.stealthsteps := steps;
	                endif

			PrintTextAbovePrivate( me, howstealthed(me.stealthsteps), me );
			
	                sleepms(cint(300000/power));
		endwhile
	endif
	
	EraseObjProperty(me,"#skulk");
	
	if (debug)
		sendsysmessage(debug,"end skulk");
	endif
	return;
	
endfunction

function howstealthed(steps)

	var r := "*" + steps + "*";
	return r;

/*
        if (steps>35)
                return "*A++*";
        elseif (steps>30)
                return "*A+*";
        elseif (steps>25)
                return "*A*";
        elseif (steps>20)
                return "*B*";
        elseif (steps>15)
                return "*C*";
        elseif (steps>10)
                return "*D*";
        elseif (steps>5)
                return "*F*";
        else
                return "*F-*";
        endif
*/
endfunction