Const SFX_THUNDER := 0x29;

function SetWeatherForPlayer (player)
	//check if they're in a dungeon.  If so, turn the weather off
	if (player.x >= 5120)
		MoveObjectToLocation (player, player.x, player.y, player.z, realm := _DEFAULT_REALM, flags := MOVEOBJECT_FORCELOCATION );
		return;
	endif

	var weather := GetGlobalProperty ("#weather");
	if (!weather)
		return;
	endif
	
	//clear the current weather first
	SendPacket (player, weather);
endfunction




///////////////////
//  Alerts the GM (Generally me, Drocket) to any important events in the invasion spawner
///////////////////

function alertgm (msg, syslogit := 0)
	if (syslogit)
		syslog (msg);
	endif

	foreach player in EnumerateOnlineCharacters ()
		case (player.acctname)
			"drocket":
			"drokcet":
			"admin":
				SendSysMessage (player, "Weather: " + msg);
		endcase
	endforeach
endfunction