<%

use os;

use uo;
use cfgfile;
use http;

include "include/attributes";
include "../pkg/perks/perk";

var system := polcore();
var load := system.load;
var uptime := system.uptime;

function tablebody()
	var config := ReadConfigFile(":perks:perk");
	var total := GetConfigMaxIntKey(config);
	var ret := "";
	for i:=1 to total
		if (config[i].active != 0)
			var must := IntifyArray(SplitWords( VarInit(config[i].must,"")));
			var should := IntifyArray(SplitWords( VarInit(config[i].should,"")));
			var shouldnt := IntifyArray(SplitWords( VarInit(config[i].shouldnt,"")));
			var cant := IntifyArray(SplitWords( VarInit(config[i].cant,"")));

			ret := ret + "<tr><td>" + config[i].name;
			ret := ret + "<td><table>";
			foreach skill in must
				ret := ret + "<tr><td>Must<td>" + GetAttributeIDBySkillID(skill);
			endforeach
			foreach skill in should
				ret := ret + "<tr><td>Should<td>" + GetAttributeIDBySkillID(skill);
			endforeach
			foreach skill in shouldnt
				ret := ret + "<tr><td>Shouldn't<td>" + GetAttributeIDBySkillID(skill);
			endforeach
			foreach skill in cant
				ret := ret + "<tr><td>Can't<td>" + GetAttributeIDBySkillID(skill);
			endforeach
			ret := ret + "</table>";
			ret := ret + "<td>" + config[i].desc;
		endif
	endfor

	return ret;
endfunction

%>

<html><head><title>Perk Documentation</title></head>

<body bgcolor=#FFFFCC text=#000000 link=#FF0000 vlink=#FF3300 alink=#0000CC background="http://ackadia.org/brdr.jpg" topmargin="15" leftmargin="90">

<div align=center>
<center>
<table border="3" cellpadding="5" cellspacing="5" bordercolor="#535D3C" width="100%" id="AutoNumber1" bordercolorlight="#800000" bordercolordark="#535D3C">
<%=tablebody()%>
    </table>
    </center>
    </div>
</BODY></HTML>
