<%

use os;

use uo;
use cfgfile;
use http;

include "include/attributes";
include "include/clock";
include "include/accounts";
include "../pkg/perks/perk";

var system := polcore();
var load := system.load;
var uptime := system.uptime;

function tableheader()
	var config := ReadConfigFile(":perks:perk");
	var total := GetConfigMaxIntKey(config);
	var ret := "<td>Character<td>Account Playtime (hours)";

	for i:=1 to total
		if ( (config[i].active != 0) )
			ret := ret + "<td>" + config[i].name;
		endif
	endfor

	return ret;
endfunction

function tablebody()
	var config := ReadConfigFile(":perks:perk");
	var total := GetConfigMaxIntKey(config);
	var ret := "";
	var totalplaytime;
	var xp;

	var acctref, char, charref;

	foreach acct in ListAccounts()
		acctref := FindAccount(acct);
		charref := acctref.getcharacter(1);
		if (charref)
			char := charref.serial;
			if (char)
				charref := SystemFindObjectBySerial(char,SYSFIND_SEARCH_OFFLINE_MOBILES);
				if (charref)
					ret := ret + "<tr><td>" + charref.name;
					ret := ret + "<td>" + cint(GetAccountProperty (charref.acctname, "online_time"))/(60*60);

					xp := GetOPI(charref,"p_xp",{});

					for i:=1 to total
						if ( (config[i].active != 0) )
							if( (xp[i]) && (xp[i]>0) )
								ret := ret + "<td>" + xp[i];
							else
								ret := ret + "<td>" + 0;
							endif
						endif
					endfor
				endif
			endif
		endif
	endforeach

	return ret;
endfunction

%>

<html><head><title>Perk Documentation</title></head>

<body bgcolor=#FFFFCC text=#000000 link=#FF0000 vlink=#FF3300 alink=#0000CC background="http://ackadia.org/brdr.jpg" topmargin="15" leftmargin="90">
<style type="text/css">
td { font-size:12 }
</style>

<div align=center>
<center>
<table border="3" cellpadding="5" cellspacing="5" bordercolor="#535D3C" width="100%" id="AutoNumber1" bordercolorlight="#800000" bordercolordark="#535D3C">
<%=tableheader()%>
<%=tablebody()%>
    </table>
    </center>
    </div>
</BODY></HTML>
