//For every thousand hacking at the leaves of evil,.
//there is one striking at the root. 
//		-Henry David Thoreau

var profilernames := {};
var profilertimer := {};
var profilercache := {};

include "analysisconst";

function profilerloadnames()
	profilernames[P_TAMED_FOLLOW] := "Pet Following";
	profilernames[P_TAMED_FIGHT] := "Pet Fighting";
	profilernames[P_TAMED_SPEECH] := "Pet Speech";
	profilernames[P_TAMED_PETCOUNT] := "Pet Counting";
	profilernames[P_TAMED_CLOSEDISTANCE] := "Pet Close Distance";
	profilernames[P_TAMED_PACKCOUNT] := "Pet Pack Count";
	profilernames[P_TAMED_GUARD] := "Pet Guard";
	profilernames[P_TAMED_RUNRANDOM] := "Pet Run Random";
	
	profilernames[P_HENCH_COUNT] := "Henchman Counting";
	profilernames[P_HENCH_HEAL] := "Henchman Heal";
	profilernames[P_HENCH_POT] := "Henchman Potions";
	profilernames[P_HENCH_SOULSTONE] := "Henchman Soulstones";
	profilernames[P_HENCH_GUARD] := "Henchman Guardsweep";
	profilernames[P_HENCH_FOLLOW] := "Henchman Follow";
	profilernames[P_HENCH_FIGHT] := "Henchman Fightmode";
	profilernames[P_HENCH_SOMEHEALING] := "Henchman Somehealing";
	profilernames[P_HENCH_RUNRANDOM] := "Henchman Run Random";
	profilernames[P_HENCH_CLOSEDISTANCE] := "Henchman Close Distance";
	profilernames[P_HENCH_CHANGEOPPONENT] := "Henchman Change Opponent"; 	
endfunction

function openbracket(i)
	profilertimer[i] := ReadGameClock();
endfunction

function closebracket(i)
	var y := profilertimer[i];
	var x := ReadGameClock();
	
	if (x>y)
		if (!(profilercache[i]))
			profilercache[i] := 0;
		endif
		
		profilercache[i] := profilercache[i] + (x - y);
	endif
endfunction

function flushprofilercache()
	set_critical(1);
	var pd := GetGlobalProperty("profiler_data");
	if (!pd)
		pd := {};
	endif
	
//	sendsysmessage(m,"tb: " + pd);
	
	for i := 1 to len(profilercache)
		if (!(pd[i]))
			pd[i] := 0;
		endif
		
		pd[i] := pd[i] + profilercache[i];
	endfor
	
//	sendsysmessage(m,"t: " + pd);	
	
	SetGlobalProperty("profiler_data",pd);
	set_critical(0);
	
	for i := 1 to len(profilercache)
		profilercache[i] := 0;
	endfor
endfunction

function clearprofilerdata()
	set_critical(1);
	var pd := GetGlobalProperty("profiler_data");
	if (!pd)
		pd := {};
	endif
	
	for i := 1 to len(pd)
		pd[i] := 0;
	endfor
	
	SetGlobalProperty("profiler_data",pd);
	set_critical(0);
endfunction

function profsleepms(i,ms)
	closebracket(i);
	sleepms(ms);
	openbracket(i);
endfunction