const PF_FORGE := 1;
const PF_ANVIL := 2;
const PF_LOOM := 3;
const PF_SPIN := 4;
const PF_OVEN := 5;
const PF_FIRE := 6;

function pf_gettypes()
	return {"Forge","Anvil","Loom","Spinning Wheel","Oven","Fire"};
endfunction

function pf_getobjtype(id)
	var otl := {0x6009,0x1b76,0x1765,0xdf8,0x103b,0xde3};

	if ( (id > 0) && (id<=len(otl)) )
		return otl[id];	
	endif
	
	return 0;
endfunction

function pf_getid(type)
	var t := pf_gettypes();

	for i:=1 to len(t)
		if (t[i] == type)
			return i;
		endif
	endfor
	
	return 0;
endfunction	

function seekphantomforge(character,range,id)
	var ot := pf_getobjtype(id);
	var pp;
	range := range + 1;
	foreach item in ListItemsNearLocation(character.x, character.y, character.z,range)
		if ( item.objtype == ot )
			pp := GetObjProperty(item,"pf_type");
			if (pp == id)
				return 1;
			endif
		endif
	endforeach
	
	return 0;
endfunction