function main_AI_loop (next_wander := 0)

	var ev;
    var wanders := 60;
     next_wander := readgameclock();
    var next_news := readgameclock();
	var newsnum := 0;
    EnableMainEvents();

	var mydestx := 0;
	var mydesty := 0;
	var steps := 0;

	SetAnchor( me.x, me.y, 4, 50 );

    while (1)

	if (readgameclock() > next_wander)
		if (readgameclock() > next_news)
			newsnum := SpoutTheNews( newsnum );
			next_news := ReadGameClock()+60;
		endif

		if (mydestx != 0)
			WalkTowardLocation(mydestx, mydesty);
			if ( (me.x == mydestx and me.y == mydesty) or ( steps > 10 ) )
				mydestx := 0;
			endif
		else	
			wander();
			wanders := wanders +1;
		endif

		next_wander := readgameclock()+5;
		if (wanders > 60)
			wanders :=0;
			walkhome();
			ev := sleepmode();
    		endif
	else
		ev := os::wait_for_event( 2 );
	endif

	if (ev)
        repeat
            case (ev.type)
                EVID_SPEECH:
		    if (!ev.source.npctemplate)
		    	if (lower(ev.text) == "news")
				wanders :=0;
		    		next_wander := readgameclock()+60;
		    		newsnum := SpoutAllTheNews();
		    	endif
			if (lower(ev.text) == "report")
				wanders :=0;
		    		next_wander := readgameclock()+60;
		    		newsnum := SpoutReport();
		    	endif
			
		    endif
                EVID_ENGAGED:
                EVID_DAMAGED:
                    Fight( ev.source );
		    ReturnHome();
		EVID_ALL_FOLLOW_CMD:
			mydestx := ev.x;
			mydesty := ev.y;
			steps := 0;
			SetAnchor( mydestx, mydesty, 4, 50 );
			WalkTowardLocation(mydestx, mydesty);
            endcase

        until (! (ev := os::wait_for_event(2)) );
	endif

   endwhile      

endfunction        

function look_around()

	return;

endfunction

function EnableMainEvents()

    DisableEvents( EVID_LEFTAREA + EVID_DISENGAGED + EVID_OPPONENT_MOVED );
    EnableEvents( EVID_SPEECH + EVID_ENGAGED + EVID_DAMAGED, HALT_THRESHOLD );
    EnableEvents( EVID_SPEECH, 3 );
    DisableEvents(EVID_ITEM_GIVEN);

endfunction

function DisableMainEvents()

    DisableEvents( EVID_SPEECH + EVID_ENGAGED + EVID_DAMAGED );
    DisableEvents(EVID_ITEM_GIVEN);

endfunction

function SpoutTheNews( newsnum )

	var allthenews := GetGlobalProperty("news");
	if (!allthenews)
		Say("No news is good news.");
		return;
	endif

	if ( newsnum >= allthenews.size() )
		newsnum := 0;
	endif

	newsnum := newsnum + 1;

	var news := allthenews[ newsnum ];

	var i;
	for (i := 1; i <= len(news); i := i + 1)
                if (news[1])
                        Say(news[i]);
                        sleep(5);
                endif
	endfor

	return newsnum;

endfunction

function ReturnHome()

	var myhome := GetObjProperty(me,"myhome");
	MoveObjectToLocation(me,myhome[1],myhome[2],myhome[3], realm := _DEFAULT_REALM, flags := MOVEOBJECT_FORCELOCATION );

endfunction

function SpoutAllTheNews( )

	var allthenews := GetGlobalProperty("news");
	if (!allthenews)
		Say("No news is good news.");
		return;
	endif

	var newsnum := allthenews.size();
	var lastnewsitem := newsnum;
	var centry;
	for ( centry := lastnewsitem; centry > 0; centry := centry -1 );
		var news := allthenews[ centry ];
		var i;
		for (i := 1; i <= len(news); i := i + 1)
			if (news[1])
				Say(news[i]);
                        sleep(5);
			endif
		endfor
	endfor

endfunction

function SpoutReport( )

	UnloadConfigFile (":invasionspawner:regions");
	var regionscfg := ReadConfigFile (":invasionspawner:regions");
	var index := FindConfigElem (regionscfg, "index");
	var baseregions := GetConfigStringArray (index, "regionname");
	var BossSerial;
	var bosstype;
	var sayregion;
	var sayboss;
	var speech;
	foreach region in baseregions

		BossSerial := GetGlobalProperty ("boss"+region);
		if (!BossSerial ) 
			bosstype := "Empty";
		else
			bosstype := GetObjProperty (BossSerial, "bosstype");
		endif
		
		if (region=="brenin1")
		
			sayregion := "My sources tell me that Perin's Depths are infested with ";
		elseif (region=="isadora1")
			sayregion := "My sources tell me that Pyramid is infested with ";
		elseif (region=="cadarn1")
			sayregion := "My sources tell me that the Mines of Mornia are infested with ";
	 	elseif (region=="ibor1")
			sayregion := "My sources tell me that Dardin's Pits are infested with ";
		elseif (region=="wynda1")
			sayregion := "My sources tell me that Time Awaits is infested with ";
	 	elseif (region=="knighton1")
			sayregion := "My sources tell me that the Pits of Hell are infested with ";
		elseif (region=="ludlow1")
			sayregion := "My sources tell me that Bane is infested with ";
	 	elseif (region=="hydd1")
			sayregion := "My sources tell me that Lands south of Hydd are infested with ";
		elseif (region=="dunravi1")
			sayregion := "My sources tell me that Wrath is infested with ";
	 	elseif (region=="wyntir1")
			sayregion := "My sources tell me that the Ice Caverns are infested with ";
	 	elseif (region=="yepa1")
			sayregion := "My sources tell me that the Ice Caverns are infested with ";
	 	
	endif


		if (bosstype=="troll")
		sayboss := "trolls";
		elseif (bosstype=="pirate")
			sayboss := "evil humans";
		elseif (bosstype=="undead")
			sayboss := "undead";
		elseif (bosstype=="shabooli")
			sayboss := "shabooli";
		elseif (bosstype=="ophidian")
			sayboss := "ophidians";
		elseif (bosstype=="terathan")
			sayboss := "terathans";
		elseif (bosstype=="orc")
			sayboss := "terathans";
		elseif (bosstype=="praetorian")
			sayboss := "praetorians";
		elseif (bosstype=="diablo")
			sayboss := "daemons";
		elseif (bosstype=="draco")
			sayboss := "dragons";
		elseif (bosstype=="icy")
			sayboss := "icy creatures";
		elseif (bosstype=="elemental")
			sayboss := "voids";
		elseif (bosstype=="lizard")
			sayboss := "lizards";
		else 
			sayboss := "Im not sure what you would call those things";
	endif
	speech := sayregion + sayboss;
	Say( speech  );



		
		sleep (3);
	endforeach
	


endfunction


