function perk_overseer(me, skillid, debug := 0)
	
	var power := PerkPower(PERKID_OVERSEER,me);
	if ( power > random(100) )
		// it has a LMNLE call in it, we must be cautious
		if (!TimeCap(me,"perkoverseer",5))
			var attr := GetAttributeIDBySkillID (skillid);
			var masterskill := GetAttribute (me, attr);
			var slaveskill;
		
			var buff := cint(power/5)+5;
			foreach mobile in ListMobilesNearLocationEx (me.x, me.y, me.z, (cint(power/10)+5), 0x03)
				if (mobile.acctname)
					slaveskill := GetAttribute (mobile, attr);
					if (slaveskill < masterskill)
						if (slaveskill + buff < masterskill)
							DoSkillMod (mobile, skillid, buff, power*6);
						else
							DoSkillMod (mobile, skillid, masterskill-slaveskill, power*6);
						endif
						PrintTextAbovePrivate(mobile,"*overseer*",me);
					endif
				endif
			endforeach
		endif
		return 1;
	endif
	
	return 0;
	
endfunction