function perk_virtuosity(me,mc, debug := 0)
	var power := PerkPower(PERKID_VIRTUOSITY,me);

	if ( power )
/*		so what I wanted to do was to take the spellid and use it to note
		which spell was being cast, to give a mana cost discount to the first 
		time you cast a spell recently.  but the spellid doesn't get passed to
		the spell, so a spell has no easy to identify itself.
		
		so i get the name of the script being cast and take the last part of 
		the filename.  if you're casting pkg/magic/spells/statmod_spells/
		polymorph.ecl, n == "polymorph.ecl", which is a reasonably unique
		identifier.*/
		
		var n:= getscriptname();

		if (debug)
			sendsysmessage(me,"mana cost : " + mc);	
		endif

		if (!TimeCap(me,"pev"+n,160-power))
			mc := (mc*(200-power))/200;
			
			PrintTextAbove( me, "*Virtuosity*" );
		endif
	endif			

	if (debug)		
		sendsysmessage(me,"mana cost : " + mc);
	endif
	
	return mc;
endfunction

function getscriptname()
	var pid := getpid();
	var s := GetProcess(pid);
	var n := s.name;
	
	for i:=1 to len(n);
		if (n[i]=="/")
			n[i]:=" ";
		endif
	endfor

	var nn:=SplitWords(n);
	return nn[len(nn)];
endfunction